Rc Challan Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/rc-challan-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/rc-challan-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/rc-challan-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/rc-challan-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/rc-challan-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/rc-challan-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/rc-challan-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007665809,
"transaction_id": "9a893cf1287a434285793d8c5f0a5cf4",
"sub_code": "SUCCESS",
"message": "Challan details fetched successfully",
"data": {
"challan_details": {
"challans": [
{
"number": 1,
"challan_number": "25738882",
"offense_details": "NO PARKING",
"offense_details_list": [],
"challan_place": "DIGITAB VIOLATION",
"challan_date": "2018-07-04",
"challan_date_time": "2018-07-04T16:07:00",
"state": "KA",
"rto": null,
"upstream_code": "KA",
"accused_name": "MOHAMMAD NIHAR",
"amount": 100,
"challan_status": "Not Paid",
"court_challan": null,
"court_name": ""
},
{
"number": 2,
"challan_number": "29999394",
"offense_details": "PILLION RIDER - NOT WEARING HELMET",
"offense_details_list": [],
"challan_place": "DIGITAB VIOLATION",
"challan_date": "2019-07-10",
"challan_date_time": "2019-07-10T17:26:00",
"state": "KA",
"rto": null,
"upstream_code": "KA",
"accused_name": "MOHAMMAD NIHAR",
"amount": 100,
"challan_status": "Not Paid",
"court_challan": null,
"court_name": ""
}
],
"blacklist": [],
"successful_backends": [
"ECHALLAN",
"KA"
],
"failed_backends": []
}
}
}KYC
RC Challan
Helps to get the challan related details of a vehicle by providing the Vehicle RC Number.
GET
/
v1
/
verification
/
rc-challan-details
Rc Challan Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/rc-challan-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/rc-challan-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/rc-challan-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/rc-challan-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/rc-challan-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/rc-challan-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/rc-challan-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007665809,
"transaction_id": "9a893cf1287a434285793d8c5f0a5cf4",
"sub_code": "SUCCESS",
"message": "Challan details fetched successfully",
"data": {
"challan_details": {
"challans": [
{
"number": 1,
"challan_number": "25738882",
"offense_details": "NO PARKING",
"offense_details_list": [],
"challan_place": "DIGITAB VIOLATION",
"challan_date": "2018-07-04",
"challan_date_time": "2018-07-04T16:07:00",
"state": "KA",
"rto": null,
"upstream_code": "KA",
"accused_name": "MOHAMMAD NIHAR",
"amount": 100,
"challan_status": "Not Paid",
"court_challan": null,
"court_name": ""
},
{
"number": 2,
"challan_number": "29999394",
"offense_details": "PILLION RIDER - NOT WEARING HELMET",
"offense_details_list": [],
"challan_place": "DIGITAB VIOLATION",
"challan_date": "2019-07-10",
"challan_date_time": "2019-07-10T17:26:00",
"state": "KA",
"rto": null,
"upstream_code": "KA",
"accused_name": "MOHAMMAD NIHAR",
"amount": 100,
"challan_status": "Not Paid",
"court_challan": null,
"court_name": ""
}
],
"blacklist": [],
"successful_backends": [
"ECHALLAN",
"KA"
],
"failed_backends": []
}
}
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.